<?php

namespace Plugin\Events;

use pocketmine\event\plugin\PluginEvent;
use pocketmine\Player;
use pocketmine\event\Cancellable;

use Plugin\ServerAuth;

class ServerAuthRegisterEvent extends PluginEvent implements Cancellable {

	public static $handlerList = null;

	private $player;
	
	private $password;

	public function __construct(Player $player, $password){
		$this->player = $player;
		$this->password = $password;
	}

	public function getPlayer(){
		return $this->player;
	}
	
	public function getPassword(){
		return $this->password;
	}
	
	public function setCancelledMessage($message){
		ServerAuth::getAPI()->canc_message = $message;
	}
}
